Name: argyllcms
Version: 1.3.0
Release: alt1

Summary: ICC compatible color management system
Group: Graphics
License: GPLv3 and MIT
Url: http://www.argyllcms.com/

Source: http://www.argyllcms.com/Argyll_V%{version}_src.zip

# from Cooker
# (fc) 1.0.1-1mdv change build system to use autotools , build with system libusb and icclib (Alastair M. Robinson, Roland Mas) (Debian)
Patch: Argyll_V1.3.0_autotools.patch
# (fc) 1.1.0-1mdv use local argyllcms libusb, it has some local patches (Roland Mas) (Debian)
Patch1:    argyllcms-1.1.0-uselocallibusb.patch
# tnx to shrek@
Patch4: %name-1.1.0-alt-fakeread.patch

BuildRequires: unzip libtiff-devel
BuildRequires: libX11-devel libXext-devel libXxf86vm-devel libXinerama-devel
BuildRequires: libXScrnSaver-devel libXrandr-devel libXrender-devel
BuildRequires: libicc-devel >= 2.12
#BuildRequires: libusb-compat-devel

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%package doc
Summary: Argyll CMS documentation
Group: Graphics
BuildArch: noarch
Conflicts: %name < %version

%description doc
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

This package contains the Argyll color management system documentation.

%prep
%setup -q -n Argyll_V%version
%patch -p1 -b .autotools
%patch1 -p1 -b .locallibusb
%patch4 -p1 -b .fakeread

%build
%autoreconf
%configure --disable-static

# SMP-incompatible build
%make

%check
%make check

%install
%make DESTDIR=%buildroot install

install -d -m 0755 %buildroot%_sysconfdir/udev/rules.d/
sed -e 's/MODE="666"/ENV{ACL_MANAGE}="1"/g' -e 's/SYSFS/ATTRS/g' \
libusb/55-Argyll.rules > %buildroot%_sysconfdir/udev/rules.d/55-Argyll.rules

%files
%_bindir/*
%_libdir/argyll
%exclude %_libdir/argyll/*.la
%_datadir/color/argyll
%_sysconfdir/udev/rules.d/55-Argyll.rules
%doc *.txt

%files doc
%doc doc/*.html doc/*.jpg doc/*.txt

%changelog
* Sat Sep 11 2010 Yuri N. Sedunov <aris@altlinux.org> 1.3.0-alt1
- 1.3.0

* Mon Feb 22 2010 Yuri N. Sedunov <aris@altlinux.org> 1.1.1-alt1
- 1.1.1
- remove upstremed patches

* Sun Jan 31 2010 Yuri N. Sedunov <aris@altlinux.org> 1.1.0-alt1
- 1.1.0
- fixed "always buffer overflow" bug (patch4). Tnx to Valery Inozemtsev (shrek@)

* Tue Dec 15 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0.4-alt2
- system icclib used

* Tue Dec 08 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0.4-alt1
- Fedora package adapted for Sisyphus

